---
title: Checks
slug: apis/payments/checks
description: Manage check deposits, images, analysis, and positive pay via /checks/v1/ and related endpoints.
docTags: 
createdAt: 2024-08-08T13:34:00.187Z
---

:::CtaButton{label="Checks concepts" docId="8MxnUqiHsMPE6vHWQex5u" openInNewTab="true"}
You can manage both deposit and withdrawal checking for your customers using Cross River APIs.
:::

:::hint{type="info"}
[Get started](docId\:Z-MVwOV-p00-xX082NabK) with Cross River APIs.
:::

**GET calls**

- Add query parameters to filter the response the API returns to general GET calls.
- Use [pagination](docId:6EKvQUYWeVh9x4zxmuKlJ) to control presentation of your results.

This table presents checks management APIs that we describe in detail.

| Action                                                                          | API Call                                                 | Description                                                                                           |
| ------------------------------------------------------------------------------- | -------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| [Deposit check](docId\:xEOwz2w0C2wFSR3tV8mdy)                                   | `POST /checks/v1/payments`                               | Sends COS the information needed to deposit a check into a Cross River account                        |
| [Print check payment](docId:2w_y2m0a0W0ol8Y05TGIG)                              | `POST /checks/v1/printed-payments`                       | Sends a request to print and deliver a physical check.                                                |
| [List check payments](docId\:meJbS8NftALSrqnL-FQDz)                             | `GET /checks/v1/payments`                                | Returns a list of check payments based on various query criteria, per partner                         |
| [Get payment details](docId:0GPRqBRHjRJNrDeukTbb9)                              | `GET /checks/v1/payments/{id}`                           | Returns details about a specific check payment, by payment ID                                         |
| [Get extended check data](docId\:uebUHmGEw7GdicOKzMsqC)                         | `GET /v1/payments/{id}/extended`                         | Returns ICL file metadata for a specific check payment by payment ID                                  |
| [Cancel deposit](docId\:voCw4O_MvZHAqoulkHhDo)                                  | `POST /checks/v1/payments/{id}/cancel`                   | Cancels a check deposit                                                                               |
| [View check](docId\:MdNp4DyeOwpOqg4mYMsqh)                                      | `GET /checks/v1/payments/{id}/images/{view}`             | Returns the image of the front or back of the check encoded in Base64                                 |
| [Image analysis](docId\:pdi1M3oZgKrddczAmAl8r)                                  | `GET /checks/v1/payments/{id}/analysis`                  | Returns an analysis of the check's image quality assurance (IQA) status based on the Fed's metrics    |
| Positive Pay: [Authorize check](docId\:touxH7X9EeSpTKw6VXI4l)                   | `POST /checks/v1/positive-pay-authorizations`            | Authorizes an incoming check using Positive Pay                                                       |
| Positive Pay: [Revoke authorization](docId\:YGpxhOjsGdGgo24Udz8lo)              | `POST checks/v1/positive-pay-authorizations/{id}/revoke` | Revokes Positive Pay authorization already given for a specific check                                 |
| [Initiate check return](docId\:H2Io-Tc5hUS-m4kz-X7Uv)                           | `POST /checks/v1/payments/{id}/returns`                  | Initiates return of an inbound forward check                                                          |
| Simulation:<br />[Simulate inbound payment](docId\:RI6dUmr8d8aQ-mle7tdzy)       | `POST /checks/v1/payments/simulated-inbound-payments`    | Simulates an inbound forward check payment (withdrawal of funds)                                      |
| Simulation:<br />[Simulate inbound check return](docId\:RTk-hNjDYEP4Uma9yv1vq)  | `POST /checks/v1/payments/simulated-inbound-returns`     | Simulates return of a check deposited into a Cross River account that the issuing bank does not honor |

# Related topics

- [Webhook events: Checks](docId\:cWUBvaS0BDIfokyxu5LhQ)&#x20;
- [Request and response codes: Checks](docId:1KTHA2s34VRJpI7vStvOi) &#x20;
- [Error codes: checks](docId\:TZcZT78MwnLpVl3XtIRRD)&#x20;

# Tutorials

See our API tutorial to learn how to:

- [Checks](docId\:NCdnIvTYdix4xtbfn8jY6): Deposit and handle rejected checks.

